ผู้ใช้
ผู้ที่ลงชื่อเข้าใช้ได้ การจัดการผู้ใช้ต้องเป็นผู้ดูแลระบบ
การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
keyword?stringWords to look for.
query?stringA filter, as a JSON object.
select?stringThe fields to return, as a JSON object of field names to 1 or 0.
skip?integerHow many to skip.
limit?integerHow many to return; 10 when absent.
10sort?stringThe order, as a JSON object of field names to 1 or -1.
One page, and how many match.
application/json- response
total?integerdata?array<>curl -X GET "https://platform.example.com/api/admin/user" \ -H "Authorization: Bearer $TOKEN"{ "total": 0, "data": [ { "_id": "string", "username": "string", "firstName": "string", "lastName": "string", "middleName": "string", "displayName": "string", "email": "user@example.com", "picture": "string", "provider": null, "role": null, "props": null, "extendedProps": null, "groups": null, "createdAt": null, "createdBy": null, "updatedAt": null, "updatedBy": null } ]}การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
application/json- body
keyword?stringWords to look for.
query?A filter, as a JSON object.
select?The fields to return, as a JSON object of field names to 1 or 0.
skip?integerHow many to skip.
limit?integerHow many to return; 10 when absent.
10sort?The order, as a JSON object of field names to 1 or -1.
One page, and how many match.
application/json- response
total?integerdata?array<>curl -X POST "https://platform.example.com/api/admin/user" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "keyword": "string", "query": {}, "select": {}}'{ "total": 0, "data": [ { "_id": "string", "username": "string", "firstName": "string", "lastName": "string", "middleName": "string", "displayName": "string", "email": "user@example.com", "picture": "string", "provider": null, "role": null, "props": null, "extendedProps": null, "groups": null, "createdAt": null, "createdBy": null, "updatedAt": null, "updatedBy": null } ]}การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
- body
username*stringpassword?stringfirstName?stringlastName?stringmiddleName?stringdisplayName?stringemail?stringemailpicture?filebinaryprovider?unknownrole*unknownprops?extendedProps?hidden?booleanThe answer.
response?stringapplication/jsonThe id.
curl -X PUT "https://platform.example.com/api/admin/user" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "username": "string", "role": "..."}'"string"การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
The answer.
curl -X GET "https://platform.example.com/api/admin/user/providers" \ -H "Authorization: Bearer $TOKEN"การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
provider*stringThe id of the user.
The answer.
curl -X GET "https://platform.example.com/api/admin/user/providers/$PROVIDER/list" \ -H "Authorization: Bearer $TOKEN"การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the user.
select?stringThe fields to return, as a JSON object of field names to 1 or 0.
The record.
application/json- response
_id*stringusername*stringfirstName?stringlastName?stringmiddleName?stringdisplayName?stringemail?stringemailpicture?stringprovider?unknownrole*unknownprops?unknownextendedProps?unknowngroups?unknowncreatedAt?unknowncreatedBy?unknownupdatedAt?unknownupdatedBy?unknowncurl -X GET "https://platform.example.com/api/admin/user/$ID" \ -H "Authorization: Bearer $TOKEN"{ "_id": "string", "username": "string", "firstName": "string", "lastName": "string", "middleName": "string", "displayName": "string", "email": "user@example.com", "picture": "string", "provider": null, "role": null, "props": null, "extendedProps": null, "groups": null, "createdAt": null, "createdBy": null, "updatedAt": null, "updatedBy": null}การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the user.
application/json- body
select?The fields to return, as a JSON object of field names to 1 or 0.
The record.
application/json- response
_id*stringusername*stringfirstName?stringlastName?stringmiddleName?stringdisplayName?stringemail?stringemailpicture?stringprovider?unknownrole*unknownprops?unknownextendedProps?unknowngroups?unknowncreatedAt?unknowncreatedBy?unknownupdatedAt?unknownupdatedBy?unknowncurl -X POST "https://platform.example.com/api/admin/user/$ID" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "select": {}}'{ "_id": "string", "username": "string", "firstName": "string", "lastName": "string", "middleName": "string", "displayName": "string", "email": "user@example.com", "picture": "string", "provider": null, "role": null, "props": null, "extendedProps": null, "groups": null, "createdAt": null, "createdBy": null, "updatedAt": null, "updatedBy": null}การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the user.
The answer.
response?stringapplication/jsonThe id.
curl -X DELETE "https://platform.example.com/api/admin/user/$ID" \ -H "Authorization: Bearer $TOKEN""string"การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the user.
- body
username?stringpassword?stringfirstName?stringlastName?stringmiddleName?stringdisplayName?stringemail?stringemailpicture?filebinaryprovider?unknownrole?unknownprops?extendedProps?hidden?booleanThe answer.
response?stringapplication/jsonThe id.
curl -X PUT "https://platform.example.com/api/admin/user/$ID" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "username": "string", "password": "string", "firstName": "string"}'"string"การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the user.
The answer.
response?stringapplication/jsonThe id.
curl -X PUT "https://platform.example.com/api/admin/user/$ID/restore" \ -H "Authorization: Bearer $TOKEN""string"การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
keyword?unknownWords to look for.
excludeUsers?stringexcludeGroups?stringskip?unknownHow many to skip.
limit?unknownHow many to return.
sortBy?unknownsortOrder?unknownThe answer.
application/json- response
total?integerdata?array<unknown>curl -X GET "https://platform.example.com/api/user/explore" \ -H "Authorization: Bearer $TOKEN"{ "total": 0, "data": [ null ]}การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
application/json- body
keyword?unknownWords to look for.
excludeUsers?stringexcludeGroups?stringskip?unknownHow many to skip.
limit?unknownHow many to return.
sortBy?unknownsortOrder?unknownThe answer.
application/json- response
total?integerdata?array<unknown>curl -X POST "https://platform.example.com/api/user/explore" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "keyword": "...", "excludeUsers": "string", "excludeGroups": "string"}'{ "total": 0, "data": [ null ]}การยืนยันตัวตนBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the user.
select?stringThe fields to return, as a JSON object of field names to 1 or 0.
The answer.
curl -X GET "https://platform.example.com/api/user/$ID" \ -H "Authorization: Bearer $TOKEN"